@charset "UTF-8";

.page--head {
  padding-top: 130px;
  padding-bottom: 50px;
  background-image: url("../img/page/head.svg");
  background-position: center bottom;
  background-size: auto 121%;
}

.page--content {
  margin-top: 30px;
}

@media screen and (min-width: 1000px) {
  .page--head {
    padding-top: 202px;
    padding-bottom: 95px;
    background-size: auto 410px;
  }
}

/* お問い合わせ */
.page--content form input,
.page--content form textarea {
  width: 100%;
  font: unset;
  border: 1px solid #d2d2d2;
  border-radius: 0;
}

.page--content .smf-form {
  display: grid;
  row-gap: 30px;
}

.page--content .smf-item {
  display: grid;
  row-gap: 10px;
}

.page--content .smf-item__label {
  display: flex;
  align-items: baseline;
  column-gap: 1em;
  letter-spacing: 0.05em;
}

.page--content .smf-item__label::after {
  flex-shrink: 0;
  content: '任意';
  display: inline-block;
  min-width: 3.9em;
  padding: 1px 6px 2px;
  color: #fff;
  font-size: 14px;
  letter-spacing: 0.05em;
  text-align: center;
  background-color: #929292;
  border-radius: 77px;
}

.page--content .smf-item:has([data-validations*="required"]) .smf-item__label::after {
  content: '必須';
  background-color: #d01126;
}

.page--content .contact-en .smf-item__label::after {
  content: 'Optional';
  padding-bottom: 3px;
  font-size: 12px;
}

.page--content .contact-en .smf-item:has([data-validations*="required"]) .smf-item__label::after {
  content: 'Required';
}

.page--content .smf-action {
  margin-top: 50px;
  text-align: center;
}

.page--content .smf-action .smf-button-control__control {
  width: 100%;
  max-width: 429px;
  height: 51px;
  font-size: 18px;
  letter-spacing: 0.1em;
  background-image: none;
  border: 0;
  border-radius: 37px;
}

.page--content .smf-action .smf-button-control__control[type="submit"] {
  color: #fff;
  background-color: #d01126;
  background-image: url("../img/link-next.svg");
  background-position: center right 26px;
  background-repeat: no-repeat;
  background-size: 27px auto;
}

.page--content .smf-action .smf-button-control__control[data-action="back"] {
  color: #fff;
  background-color: #929292;
  background-image: url("../img/link-back.svg");
  background-position: center left 36px;
  background-size: 27px auto;
}

@media screen and (min-width: 1000px) {
  .page--content .smf-item {
    grid-template-columns: 13em 1fr;
    column-gap: 43px;
    align-items: baseline;
  }

  .page--content .contact-en .smf-item {
    grid-template-columns: 14em 1fr;
  }

  .page--content .smf-item__label {
    justify-content: space-between;
  }

  .page--content .smf-action {
    margin-top: 60px;
  }
}

@media (any-hover: hover) {
  .smf-action .smf-button-control__control {
    transition: opacity 0.3s ease;
  }

  .smf-action .smf-button-control__control:hover {
    opacity: 0.8;
  }
}

/* UPDATES */
.archive--content {
  margin-top: 48px;
}

.archive--content .list-post {
  margin-inline: -18px;
  border-top: 1px solid var(--border);
}

.archive--bottom {
  margin-top: 58px;
}

.archive--bottom .wp-pagenavi {
  display: flex;
  flex-wrap: wrap;
  align-items: baseline;
  justify-content: center;
  gap: 11px;
  line-height: 1;
  text-align: center;
}

.archive--bottom a,
.archive--bottom .current {
  min-width: 35px;
  padding: 10px 3px 9px;
  border-radius: 50%;
}

.archive--bottom a {
  color: #000;
  background-color: #f5f5f5;
}

.archive--bottom .current {
  color: #fff;
  background-color: #d01126;
}

@media screen and (min-width: 768px) {
  .archive--content .list-post {
    margin-inline: unset;
  }
}

.single-post .page--content {
  margin-top: 72px;
}

.single-post .entry-header .date {
  letter-spacing: 0.1em;
}

.single-post .entry-header .title {
  margin-top: 20px;
  font-size: 24px;
  font-weight: bold;
  letter-spacing: 0.1em;
}

.single-post .entry-content {
  display: grid;
  grid-template-columns: minmax(0, 1fr);
  row-gap: 2em;
  margin-top: 22px;
}

.single-post .entry-content a {
  text-decoration: underline;
}

.single-post .entry-content h1 {
  font-size: 2em;
  font-weight: bold;
}

.single-post .entry-content h2 {
  font-size: 1.5em;
  font-weight: bold;
}

.single-post .entry-content h3 {
  font-size: 1.25em;
  font-weight: bold;
}

.single-post .entry-content h4,
.single-post .entry-content h5,
.single-post .entry-content h6 {
  font-size: 1em;
  font-weight: bold;
}

.single-post .entry-content ul,
.single-post .entry-content ol {
  padding-left: 1.5em;
}

.single-post .entry-content ul {
  list-style-type: disc;
}

.single-post .entry-content ol {
  list-style-type: decimal;
}

.single-post .entry-footer {
  margin-top: 73px;
  padding-top: 65px;
  border-top: 1px solid #d5d5d5;
}

.single-post .entry-footer .share--text {
  color: #d01126;
  letter-spacing: 0.05em;
  text-align: center;
}

.single-post .entry-footer .share--list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
  margin-top: 23px;
}

.single-post .entry-footer .share--list .item {
  width: 41px;
}

.single-post .entry-footer .link-btn {
  margin-top: 72px;
}

@media (any-hover: hover) {

  .single-post .entry-content a,
  .single-post .share a {
    transition: opacity 0.3s ease;
  }

  .single-post .entry-content a:hover,
  .single-post .share a:hover {
    opacity: 0.8;
  }
}

.wp-block-image img {
  width: auto;
}

.wp-block-image .alignleft img {
  margin-right: auto;
}

.wp-block-image .alignright img {
  margin-left: auto;
}

.wp-block-image .aligncenter img {
  margin-inline: auto;
}

.has-text-align-left {
  text-align: left;
}

.has-text-align-center {
  text-align: center;
}

.has-text-align-right {
  text-align: right;
}

.has-small-font-size {
  font-size: 0.875em;
}

.has-medium-font-size {
  font-size: 1em;
}

.has-large-font-size {
  font-size: 1.25em;
}

.has-x-large-font-size {
  font-size: 1.5em;
}

/* CONTACT */
.form-privacy {
  background-color: #f7f7f7;
  border: 1px #eee solid;
  padding: 25px;
  height: 200px;
  border-radius: 4px;
  overflow-y: scroll;
  font-size: 14px;
  margin-bottom: 10px;

  p {
    margin-bottom: 1em;
  }
}

.ttl-ptn01 {
  text-align: center;
  font-weight: bold;
}

.contact-confirm {
  display: none;
}

.contact-thanks {
  display: none;
}

[data-screen="confirm"] {
  .contact-confirm {
    display: block;
  }

  .form-privacy {
    display: none;
  }

  [data-name="checkboxes-privacy"] {
    display: none;
  }

  .smf-action {
    display: flex;
    justify-content: center;

    @media screen and (max-width: 768px) {
      display: block;
    }
  }
}

[data-screen="complete"] {
  .contact-thanks {
    display: block;
    margin-bottom: 1em;
  }

  .contact-page {
    display: none;
  }
}

.smf-label {
  text-align: center;
}

@media screen and (min-width: 768px) {
  .smf-button-control {
    width: 250px;
  }
}

.page--content .smf-action .smf-button-control__control[data-action="back"] {
  width: 80%;
  margin-bottom: 20px;
  height: 42px;
}

@media screen and (max-width: 767px) {
  .smf-action .smf-button-control + .smf-button-control {
    margin-left: 0;
  }
}

.page--content .back-top {
  color: #fff;
  background-color: #d01126;
  background-image: url(../img/link-next.svg);
  background-position: center right 26px;
  background-repeat: no-repeat;
  background-size: 27px auto;
  align-items: center;
  display: flex;
  justify-content: center;
}